Skip to content

Delete pull endpoint

DELETE
/v1/pull-endpoints/{id}

Soft-deletes a pull endpoint. Associated events become inaccessible.

id
required
string format: uuid

Pull endpoint identifier (UUIDv7)

Example
01935abc-def0-7123-4567-890abcdef012

Pull endpoint deleted

object
data
object
id
string
deleted
boolean
meta
object
request_id

Unique identifier for this request (useful for support)

string
Example
req_xyz123

Unauthorized - Invalid or missing API key

object
error
object
code

Machine-readable error code

string
Example
INVALID_REQUEST
message

Human-readable error message

string
Example
endpoint must be a valid HTTPS URL
meta
object
request_id

Unique identifier for this request (useful for support)

string
Example
req_xyz123
Example
{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or missing API key"
},
"meta": {
"request_id": "req_xyz123"
}
}

Resource not found

object
error
object
code

Machine-readable error code

string
Example
INVALID_REQUEST
message

Human-readable error message

string
Example
endpoint must be a valid HTTPS URL
meta
object
request_id

Unique identifier for this request (useful for support)

string
Example
req_xyz123
Example
{
"error": {
"code": "NOT_FOUND",
"message": "Message not found"
},
"meta": {
"request_id": "req_xyz123"
}
}
Personalize Examples

Enter your credentials to populate code examples throughout the docs.